package org.project.item.consumables;

import org.project.Colors;
import org.project.entity.Entity;
import org.project.entity.enemies.Enemy;

public class GoblinGland extends Consumable{
    public GoblinGland() {
        super("Goblin Gland", 15, "Enemy");



    }

    @Override
    public void use(Entity entity) {
        System.out.println("Enemy is confused!");
        Enemy e = (Enemy) entity;
        e.setConfuse(true);
    }

    @Override
    public String toString() {
        return "Goblin Gland:\n" + Colors.COIN + "15 coins" +Colors.RESET +"\nThrow to confuse an enemy for 1 turn(They miss their attack).";
    }
}
